Coin: SoGLCoordinateElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoGLCoordinateElement Class Reference
Element Classes

The SoGLCoordinateElement class is yet to be documented. More...

`#include <Inventor/elements/SoGLCoordinateElement.h>`

Inheritance diagram for SoGLCoordinateElement:

## Public Member Functions
const SbVec3f * | getPtr3 () const
| FIXME: write doc.
const SbVec4f * | getPtr4 () const
| FIXME: write doc.
void | send (const int index) const
Public Member Functions inherited from SoCoordinateElement
virtual void | init (SoState *state)
| FIXME: write doc.
int32_t | getNum () const
| FIXME: write doc.
SbBool | is3D () const
| FIXME: write doc.
const SbVec3f & | get3 (const int index) const
| FIXME: write doc.
const SbVec4f & | get4 (const int index) const
| FIXME: write doc.
const SbVec3f * | getArrayPtr3 () const
const SbVec4f * | getArrayPtr4 () const
virtual void | print (FILE *file) const
| FIXME: write doc.
Public Member Functions inherited from SoReplacedElement
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo () const
SbUniqueId | getNodeId () const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from SoCoordinateElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set3 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec3f *const coords)
| FIXME: write doc.
static void | set4 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec4f *const coords)
| FIXME: write doc.
static const SoCoordinateElement * | getInstance (SoState *const state)
| FIXME: write doc.
static SbVec3f | getDefault3 ()
| FIXME: write doc.
static SbVec4f | getDefault4 ()
| FIXME: write doc.
Static Public Member Functions inherited from SoReplacedElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoGLCoordinateElement ()
Protected Member Functions inherited from SoCoordinateElement
virtual | ~SoCoordinateElement ()
Protected Member Functions inherited from SoReplacedElement
virtual | ~SoReplacedElement ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Static Protected Member Functions inherited from SoReplacedElement
static SoElement * | getElement (SoState *const state, const int stackIndex, SoNode *const node)
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoCoordinateElement
int32_t | numCoords
const SbVec3f * | coords3D
const SbVec4f * | coords4D
SbBool | areCoords3D
Protected Attributes inherited from SoReplacedElement
SbUniqueId | nodeId
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLCoordinateElement class is yet to be documented.

FIXME: write doc.

## Constructor & Destructor Documentation

## ◆ ~SoGLCoordinateElement()

SoGLCoordinateElement::~SoGLCoordinateElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoGLCoordinateElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoGLCoordinateElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoGLCoordinateElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoGLCoordinateElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ send()

void SoGLCoordinateElement::send | ( | const int | index | ) | const

Send coordinates index to GL. Handles both 3D and 4D coordinates.

The documentation for this class was generated from the following files:

- SoGLCoordinateElement.h
- SoGLCoordinateElement.cpp